export interface SectionProtection {
  hint: string;
  password: string;
}

export interface PublicSection {
  icon: string;
  href: string;
  title: string;
  descr: string;
  protection?: SectionProtection;
}

export interface Dashboard {
  public_sections: PublicSection[];
  sources: string[];
}

declare module "@/config.json" {
  export const dashboard: Dashboard;
}
